Index: trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- trunk/sources/HeuristicLab 3.3.sln	(revision 3047)
+++ trunk/sources/HeuristicLab 3.3.sln	(revision 3048)
@@ -46,4 +46,5 @@
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2} = {662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}
 		{E226881D-315F-423D-B419-A766FE0D8685} = {E226881D-315F-423D-B419-A766FE0D8685}
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79} = {E61C8E23-B5ED-4B6B-8DD1-670537B57E79}
 		{14AB8D24-25BC-400C-A846-4627AA945192} = {14AB8D24-25BC-400C-A846-4627AA945192}
 		{C36BD924-A541-4A00-AFA8-41701378DDC5} = {C36BD924-A541-4A00-AFA8-41701378DDC5}
@@ -62,4 +63,5 @@
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24} = {2D4E4565-3ED9-4BEB-AE75-39D871843D24}
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7} = {56F9106A-079F-4C61-92F6-86A84C2D84B7}
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE} = {A400DB6D-A343-49A8-B6F8-C8927112A1AE}
 		{DC3D7072-7999-4719-B65D-3997744D5DC1} = {DC3D7072-7999-4719-B65D-3997744D5DC1}
 		{F42F3576-7233-4B28-90F7-36AE15F30F92} = {F42F3576-7233-4B28-90F7-36AE15F30F92}
@@ -67,7 +69,9 @@
 		{57F38579-409D-4DD8-AB19-3F2C4A665126} = {57F38579-409D-4DD8-AB19-3F2C4A665126}
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1} = {4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890} = {B622D391-FB36-4E3D-B5F6-AEDF237DE890}
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71} = {BF7D9494-A586-457B-8DF9-ED599F9E6A71}
 		{600287A3-8714-453E-B875-A05F3EB72315} = {600287A3-8714-453E-B875-A05F3EB72315}
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9} = {887425B4-4348-49ED-A457-B7D2C26DDBF9}
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A} = {5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197} = {F4539FB6-4708-40C9-BE64-0A1390AEA197}
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6} = {958B43BC-CC5C-4FA2-8628-2B3B01D890B6}
@@ -812,34 +816,50 @@
 		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|x64.ActiveCfg = Debug|x64
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|x64.Build.0 = Debug|x64
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|x86.ActiveCfg = Debug|x86
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Debug|x86.Build.0 = Debug|x86
 		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|x64.ActiveCfg = Release|Any CPU
-		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|x86.ActiveCfg = Release|Any CPU
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|x64.ActiveCfg = Release|x64
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|x64.Build.0 = Release|x64
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|x86.ActiveCfg = Release|x86
+		{5BF9C5B5-8DF3-414B-A4D6-0DD1EF456C8A}.Release|x86.Build.0 = Release|x86
 		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|x64.ActiveCfg = Debug|x64
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|x64.Build.0 = Debug|x64
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|x86.ActiveCfg = Debug|x86
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Debug|x86.Build.0 = Debug|x86
 		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|Any CPU.Build.0 = Release|Any CPU
-		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|x64.ActiveCfg = Release|Any CPU
-		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|x86.ActiveCfg = Release|Any CPU
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|x64.ActiveCfg = Release|x64
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|x64.Build.0 = Release|x64
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|x86.ActiveCfg = Release|x86
+		{B622D391-FB36-4E3D-B5F6-AEDF237DE890}.Release|x86.Build.0 = Release|x86
 		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|x64.ActiveCfg = Debug|x64
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|x64.Build.0 = Debug|x64
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|x86.ActiveCfg = Debug|x86
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Debug|x86.Build.0 = Debug|x86
 		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|x64.ActiveCfg = Release|Any CPU
-		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|x86.ActiveCfg = Release|Any CPU
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|x64.ActiveCfg = Release|x64
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|x64.Build.0 = Release|x64
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|x86.ActiveCfg = Release|x86
+		{E61C8E23-B5ED-4B6B-8DD1-670537B57E79}.Release|x86.Build.0 = Release|x86
 		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|x64.ActiveCfg = Debug|x64
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|x64.Build.0 = Debug|x64
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|x86.ActiveCfg = Debug|x86
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Debug|x86.Build.0 = Debug|x86
 		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|x64.ActiveCfg = Release|Any CPU
-		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|x86.ActiveCfg = Release|Any CPU
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|x64.ActiveCfg = Release|x64
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|x64.Build.0 = Release|x64
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|x86.ActiveCfg = Release|x86
+		{A400DB6D-A343-49A8-B6F8-C8927112A1AE}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGA.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGA.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGA.cs	(revision 3048)
@@ -51,12 +51,12 @@
 
     #region Parameter Properties
-    private ValueParameter<IntData> SeedParameter {
-      get { return (ValueParameter<IntData>)Parameters["Seed"]; }
-    }
-    private ValueParameter<BoolData> SetSeedRandomlyParameter {
-      get { return (ValueParameter<BoolData>)Parameters["SetSeedRandomly"]; }
-    }
-    private ValueParameter<IntData> PopulationSizeParameter {
-      get { return (ValueParameter<IntData>)Parameters["PopulationSize"]; }
+    private ValueParameter<IntValue> SeedParameter {
+      get { return (ValueParameter<IntValue>)Parameters["Seed"]; }
+    }
+    private ValueParameter<BoolValue> SetSeedRandomlyParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["SetSeedRandomly"]; }
+    }
+    private ValueParameter<IntValue> PopulationSizeParameter {
+      get { return (ValueParameter<IntValue>)Parameters["PopulationSize"]; }
     }
     private ConstrainedValueParameter<ISelector> SelectorParameter {
@@ -66,28 +66,28 @@
       get { return (ConstrainedValueParameter<ICrossover>)Parameters["Crossover"]; }
     }
-    private ValueParameter<DoubleData> MutationProbabilityParameter {
-      get { return (ValueParameter<DoubleData>)Parameters["MutationProbability"]; }
+    private ValueParameter<DoubleValue> MutationProbabilityParameter {
+      get { return (ValueParameter<DoubleValue>)Parameters["MutationProbability"]; }
     }
     private OptionalConstrainedValueParameter<IManipulator> MutatorParameter {
       get { return (OptionalConstrainedValueParameter<IManipulator>)Parameters["Mutator"]; }
     }
-    private ValueParameter<IntData> ElitesParameter {
-      get { return (ValueParameter<IntData>)Parameters["Elites"]; }
-    }
-    private ValueParameter<IntData> MaximumGenerationsParameter {
-      get { return (ValueParameter<IntData>)Parameters["MaximumGenerations"]; }
+    private ValueParameter<IntValue> ElitesParameter {
+      get { return (ValueParameter<IntValue>)Parameters["Elites"]; }
+    }
+    private ValueParameter<IntValue> MaximumGenerationsParameter {
+      get { return (ValueParameter<IntValue>)Parameters["MaximumGenerations"]; }
     }
     #endregion
 
     #region Properties
-    public IntData Seed {
+    public IntValue Seed {
       get { return SeedParameter.Value; }
       set { SeedParameter.Value = value; }
     }
-    public BoolData SetSeedRandomly {
+    public BoolValue SetSeedRandomly {
       get { return SetSeedRandomlyParameter.Value; }
       set { SetSeedRandomlyParameter.Value = value; }
     }
-    public IntData PopulationSize {
+    public IntValue PopulationSize {
       get { return PopulationSizeParameter.Value; }
       set { PopulationSizeParameter.Value = value; }
@@ -101,5 +101,5 @@
       set { CrossoverParameter.Value = value; }
     }
-    public DoubleData MutationProbability {
+    public DoubleValue MutationProbability {
       get { return MutationProbabilityParameter.Value; }
       set { MutationProbabilityParameter.Value = value; }
@@ -109,9 +109,9 @@
       set { MutatorParameter.Value = value; }
     }
-    public IntData Elites {
+    public IntValue Elites {
       get { return ElitesParameter.Value; }
       set { ElitesParameter.Value = value; }
     }
-    public IntData MaximumGenerations {
+    public IntValue MaximumGenerations {
       get { return MaximumGenerationsParameter.Value; }
       set { MaximumGenerationsParameter.Value = value; }
@@ -134,13 +134,13 @@
     public SGA()
       : base() {
-      Parameters.Add(new ValueParameter<IntData>("Seed", "The random seed used to initialize the new pseudo random number generator.", new IntData(0)));
-      Parameters.Add(new ValueParameter<BoolData>("SetSeedRandomly", "True if the random seed should be set to a random value, otherwise false.", new BoolData(true)));
-      Parameters.Add(new ValueParameter<IntData>("PopulationSize", "The size of the population of solutions.", new IntData(100)));
+      Parameters.Add(new ValueParameter<IntValue>("Seed", "The random seed used to initialize the new pseudo random number generator.", new IntValue(0)));
+      Parameters.Add(new ValueParameter<BoolValue>("SetSeedRandomly", "True if the random seed should be set to a random value, otherwise false.", new BoolValue(true)));
+      Parameters.Add(new ValueParameter<IntValue>("PopulationSize", "The size of the population of solutions.", new IntValue(100)));
       Parameters.Add(new ConstrainedValueParameter<ISelector>("Selector", "The operator used to select solutions for reproduction."));
       Parameters.Add(new ConstrainedValueParameter<ICrossover>("Crossover", "The operator used to cross solutions."));
-      Parameters.Add(new ValueParameter<DoubleData>("MutationProbability", "The probability that the mutation operator is applied on a solution.", new DoubleData(0.05)));
+      Parameters.Add(new ValueParameter<DoubleValue>("MutationProbability", "The probability that the mutation operator is applied on a solution.", new DoubleValue(0.05)));
       Parameters.Add(new OptionalConstrainedValueParameter<IManipulator>("Mutator", "The operator used to mutate solutions."));
-      Parameters.Add(new ValueParameter<IntData>("Elites", "The numer of elite solutions which are kept in each generation.", new IntData(1)));
-      Parameters.Add(new ValueParameter<IntData>("MaximumGenerations", "The maximum number of generations which should be processed.", new IntData(1000)));
+      Parameters.Add(new ValueParameter<IntValue>("Elites", "The numer of elite solutions which are kept in each generation.", new IntValue(1)));
+      Parameters.Add(new ValueParameter<IntValue>("MaximumGenerations", "The maximum number of generations which should be processed.", new IntValue(1000)));
 
       RandomCreator randomCreator = new RandomCreator();
@@ -266,6 +266,6 @@
     private void ParameterizeSelectors() {
       foreach (ISelector selector in Selectors) {
-        selector.CopySelected = new BoolData(true);
-        selector.NumberOfSelectedSubScopesParameter.Value = new IntData(2 * (PopulationSizeParameter.Value.Value - ElitesParameter.Value.Value));
+        selector.CopySelected = new BoolValue(true);
+        selector.NumberOfSelectedSubScopesParameter.Value = new IntValue(2 * (PopulationSizeParameter.Value.Value - ElitesParameter.Value.Value));
         ParameterizeStochasticOperator(selector);
       }
Index: trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAMainLoop.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAMainLoop.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAMainLoop.cs	(revision 3048)
@@ -41,9 +41,9 @@
       get { return (ValueLookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ValueLookupParameter<BoolData> MaximizationParameter {
-      get { return (ValueLookupParameter<BoolData>)Parameters["Maximization"]; }
-    }
-    public SubScopesLookupParameter<DoubleData> QualityParameter {
-      get { return (SubScopesLookupParameter<DoubleData>)Parameters["Quality"]; }
+    public ValueLookupParameter<BoolValue> MaximizationParameter {
+      get { return (ValueLookupParameter<BoolValue>)Parameters["Maximization"]; }
+    }
+    public SubScopesLookupParameter<DoubleValue> QualityParameter {
+      get { return (SubScopesLookupParameter<DoubleValue>)Parameters["Quality"]; }
     }
     public ValueLookupParameter<IOperator> SelectorParameter {
@@ -53,6 +53,6 @@
       get { return (ValueLookupParameter<IOperator>)Parameters["Crossover"]; }
     }
-    public ValueLookupParameter<DoubleData> MutationProbabilityParameter {
-      get { return (ValueLookupParameter<DoubleData>)Parameters["MutationProbability"]; }
+    public ValueLookupParameter<DoubleValue> MutationProbabilityParameter {
+      get { return (ValueLookupParameter<DoubleValue>)Parameters["MutationProbability"]; }
     }
     public ValueLookupParameter<IOperator> MutatorParameter {
@@ -62,9 +62,9 @@
       get { return (ValueLookupParameter<IOperator>)Parameters["Evaluator"]; }
     }
-    public ValueLookupParameter<IntData> ElitesParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["Elites"]; }
-    }
-    public ValueLookupParameter<IntData> MaximumGenerationsParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["MaximumGenerations"]; }
+    public ValueLookupParameter<IntValue> ElitesParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["Elites"]; }
+    }
+    public ValueLookupParameter<IntValue> MaximumGenerationsParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["MaximumGenerations"]; }
     }
     public ValueLookupParameter<VariableCollection> ResultsParameter {
@@ -84,13 +84,13 @@
       #region Create parameters
       Parameters.Add(new ValueLookupParameter<IRandom>("Random", "A pseudo random number generator."));
-      Parameters.Add(new ValueLookupParameter<BoolData>("Maximization", "True if the problem is a maximization problem, otherwise false."));
-      Parameters.Add(new SubScopesLookupParameter<DoubleData>("Quality", "The value which represents the quality of a solution."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Maximization", "True if the problem is a maximization problem, otherwise false."));
+      Parameters.Add(new SubScopesLookupParameter<DoubleValue>("Quality", "The value which represents the quality of a solution."));
       Parameters.Add(new ValueLookupParameter<IOperator>("Selector", "The operator used to select solutions for reproduction."));
       Parameters.Add(new ValueLookupParameter<IOperator>("Crossover", "The operator used to cross solutions."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("MutationProbability", "The probability that the mutation operator is applied on a solution."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("MutationProbability", "The probability that the mutation operator is applied on a solution."));
       Parameters.Add(new ValueLookupParameter<IOperator>("Mutator", "The operator used to mutate solutions."));
       Parameters.Add(new ValueLookupParameter<IOperator>("Evaluator", "The operator used to evaluate solutions."));
-      Parameters.Add(new ValueLookupParameter<IntData>("Elites", "The numer of elite solutions which are kept in each generation."));
-      Parameters.Add(new ValueLookupParameter<IntData>("MaximumGenerations", "The maximum number of generations which should be processed."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("Elites", "The numer of elite solutions which are kept in each generation."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("MaximumGenerations", "The maximum number of generations which should be processed."));
       Parameters.Add(new ValueLookupParameter<VariableCollection>("Results", "The variable collection where results should be stored."));
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope which represents a population of solutions on which the SGA should be applied."));
@@ -123,15 +123,15 @@
       OperatorGraph.InitialOperator = variableCreator;
 
-      variableCreator.CollectedValues.Add(new ValueParameter<IntData>("Generations", new IntData(0)));
-      variableCreator.CollectedValues.Add(new ValueParameter<DoubleData>("Best Quality", new DoubleData(0)));
-      variableCreator.CollectedValues.Add(new ValueParameter<DoubleData>("Average Quality", new DoubleData(0)));
-      variableCreator.CollectedValues.Add(new ValueParameter<DoubleData>("Worst Quality", new DoubleData(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<IntValue>("Generations", new IntValue(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<DoubleValue>("Best Quality", new DoubleValue(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<DoubleValue>("Average Quality", new DoubleValue(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<DoubleValue>("Worst Quality", new DoubleValue(0)));
       variableCreator.CollectedValues.Add(new ValueParameter<DataTable>("Qualities", new DataTable("Qualities")));
       variableCreator.Successor = resultsCollector;
 
-      resultsCollector.CollectedValues.Add(new LookupParameter<IntData>("Generations"));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Best Quality"));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Average Quality"));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Worst Quality"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<IntValue>("Generations"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Best Quality"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Average Quality"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Worst Quality"));
       resultsCollector.CollectedValues.Add(new LookupParameter<DataTable>("Qualities"));
       resultsCollector.ResultsParameter.ActualName = "Results";
@@ -150,5 +150,5 @@
       sequentialSubScopesProcessor1.Successor = sequentialSubScopesProcessor2;
 
-      childrenCreator.ParentsPerChild = new IntData(2);
+      childrenCreator.ParentsPerChild = new IntValue(2);
       childrenCreator.Successor = uniformSequentialSubScopesProcessor;
 
@@ -185,5 +185,5 @@
       sequentialSubScopesProcessor2.Successor = mergingReducer;
 
-      leftSelector.CopySelected = new BoolData(false);
+      leftSelector.CopySelected = new BoolValue(false);
       leftSelector.NumberOfSelectedSubScopesParameter.ActualName = "Elites";
       leftSelector.Successor = rightReducer;
@@ -193,9 +193,9 @@
       mergingReducer.Successor = intCounter;
 
-      intCounter.Increment = new IntData(1);
+      intCounter.Increment = new IntValue(1);
       intCounter.ValueParameter.ActualName = "Generations";
       intCounter.Successor = comparator;
 
-      comparator.Comparison = new ComparisonData(Comparison.GreaterOrEqual);
+      comparator.Comparison = new Comparison(ComparisonType.GreaterOrEqual);
       comparator.LeftSideParameter.ActualName = "Generations";
       comparator.ResultParameter.ActualName = "Terminate";
@@ -210,7 +210,7 @@
       bestAverageWorstQualityCalculator.Successor = dataTableValuesCollector;
 
-      dataTableValuesCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Best Quality"));
-      dataTableValuesCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Average Quality"));
-      dataTableValuesCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Worst Quality"));
+      dataTableValuesCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Best Quality"));
+      dataTableValuesCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Average Quality"));
+      dataTableValuesCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Worst Quality"));
       dataTableValuesCollector.DataTableParameter.ActualName = "Qualities";
       dataTableValuesCollector.Successor = conditionalBranch;
Index: trunk/sources/HeuristicLab.Algorithms.TS/3.3/TS.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TS/3.3/TS.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Algorithms.TS/3.3/TS.cs	(revision 3048)
@@ -35,24 +35,24 @@
   public sealed class TS : EngineAlgorithm {
     /*#region Parameter Properties
-    private ValueParameter<IntData> SeedParameter {
-      get { return (ValueParameter<IntData>)Parameters["Seed"]; }
-    }
-    private ValueParameter<BoolData> SetSeedRandomlyParameter {
-      get { return (ValueParameter<BoolData>)Parameters["SetSeedRandomly"]; }
+    private ValueParameter<IntValue> SeedParameter {
+      get { return (ValueParameter<IntValue>)Parameters["Seed"]; }
+    }
+    private ValueParameter<BoolValue> SetSeedRandomlyParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["SetSeedRandomly"]; }
     }
     private ConstrainedValueParameter<IMoveGenerator> MoveGeneratorParameter {
       get { return (ConstrainedValueParameter<IMoveGenerator>)Parameters["MoveGenerator"]; }
     }
-    private ValueParameter<IntData> MaximumIterationsParameter {
-      get { return (ValueParameter<IntData>)Parameters["MaximumIterations"]; }
+    private ValueParameter<IntValue> MaximumIterationsParameter {
+      get { return (ValueParameter<IntValue>)Parameters["MaximumIterations"]; }
     }
     #endregion
 
     #region Properties
-    public IntData Seed {
+    public IntValue Seed {
       get { return SeedParameter.Value; }
       set { SeedParameter.Value = value; }
     }
-    public BoolData SetSeedRandomly {
+    public BoolValue SetSeedRandomly {
       get { return SetSeedRandomlyParameter.Value; }
       set { SetSeedRandomlyParameter.Value = value; }
@@ -62,5 +62,5 @@
       set { MoveGeneratorParameter.Value = value; }
     }
-    public IntData MaximumIterations {
+    public IntValue MaximumIterations {
       get { return MaximumIterationsParameter.Value; }
       set { MaximumIterationsParameter.Value = value; }
@@ -79,8 +79,8 @@
     public TS()
       : base() {
-      Parameters.Add(new ValueParameter<IntData>("Seed", "The random seed used to initialize the new pseudo random number generator.", new IntData(0)));
-      Parameters.Add(new ValueParameter<BoolData>("SetSeedRandomly", "True if the random seed should be set to a random value, otherwise false.", new BoolData(true)));
+      Parameters.Add(new ValueParameter<IntValue>("Seed", "The random seed used to initialize the new pseudo random number generator.", new IntValue(0)));
+      Parameters.Add(new ValueParameter<BoolValue>("SetSeedRandomly", "True if the random seed should be set to a random value, otherwise false.", new BoolValue(true)));
       Parameters.Add(new ConstrainedValueParameter<IMoveGenerator>("MoveGenerator", "The operator used to generate moves to the neighborhood of the current solution."));
-      Parameters.Add(new ValueParameter<IntData>("MaximumIterations", "The maximum number of generations which should be processed.", new IntData(1000)));
+      Parameters.Add(new ValueParameter<IntValue>("MaximumIterations", "The maximum number of generations which should be processed.", new IntValue(1000)));
 
       RandomCreator randomCreator = new RandomCreator();
@@ -96,5 +96,5 @@
       randomCreator.Successor = solutionsCreator;
 
-      solutionsCreator.NumberOfSolutions = new IntData(1);
+      solutionsCreator.NumberOfSolutions = new IntValue(1);
       solutionsCreator.Successor = tsMainLoop;
 
@@ -206,6 +206,6 @@
     private void ParameterizeSelectors() {
       foreach (ISelector selector in Selectors) {
-        selector.CopySelected = new BoolData(true);
-        selector.NumberOfSelectedSubScopesParameter.Value = new IntData(2 * (PopulationSizeParameter.Value.Value - ElitesParameter.Value.Value));
+        selector.CopySelected = new BoolValue(true);
+        selector.NumberOfSelectedSubScopesParameter.Value = new IntValue(2 * (PopulationSizeParameter.Value.Value - ElitesParameter.Value.Value));
         ParameterizeStochasticOperator(selector);
       }
